Subject: 24.2; Ruby string font-face is broken at "'(/', /\d+/ # hoge"
From: Shin-ichiro OGAWA <[email-masked]>
To: [email-masked]
Date: Wed, 6 Mar 2013 10:24:56 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi there,

The following Ruby code font-face is broken.

  '(/', /\d+/ # hoge

If I remove the first parenthesis in first string, font-face is ok.

In GNU Emacs 24.2.1 (x86_64-apple-darwin12.2.1, NS apple-appkit-1187.34)
 of 2013-03-04 on P409.local
Windowing system distributor `Apple', version 10.3.1187
Configured using:
 `configure '--prefix=/usr/local/Cellar/emacs/24.2' '--without-dbus'
 '--enable-locallisppath=/usr/local/share/emacs/site-lisp'
 '--infodir=/usr/local/Cellar/emacs/24.2/share/info/emacs' '--with-ns'
 '--disable-ns-self-contained' 'CC=cc''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ja_JP.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Ruby

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
d ESC d ESC d ESC d C-n C-a C-n C-p C-n C-n C-n C-n
C-n C-p C-p T h e SPC f o l l o w i n g SPC R u b y
SPC c o d e SPC f o n t - f a c e SPC i s SPC b b DEL
r o k e n . RET RET C-y ESC y RET RET C-p C-p SPC SPC
C-n C-n RET C-p I f SPC DEL DEL DEL F o n t DEL DEL
DEL DEL F o n t DEL DEL DEL DEL I f SPC i DEL I SPC
r e m o v e SPC t h e SPC f i r s t SPC p a r a DEL
r DEL e n t h e s i s SPC i n SPC a SPC s DEL f i r
DEL DEL DEL DEL DEL f i r s t SPC s t r i n g , SPC
f o n t - f a c e SPC b e c o m e DEL DEL DEL DEL DEL
DEL DEL DEL DEL DEL DEL DEL DEL DEL DEL DEL DEL SPC
RET DEL t h e SPC DEL DEL DEL DEL t h a t ' SPC DEL
s SPC o f DEL k . C-n C-d C-p C-e DEL DEL DEL DEL DEL
DEL DEL DEL DEL DEL f o n t - f a c e SPC i s SPC c
o r r e c t DEL DEL DEL DEL DEL DEL DEL o k . C-a C-n
C-@ C-p C-p C-p C-p C-p C-n C-n C-p C-p ESC w C-c m
C-c C-c y e s RET ESC x ESC O A RET

Recent messages:
Checking 87 files in /usr/local/Cellar/emacs/24.2/share/emacs/24.2/lisp/calc...
Checking 65 files in
/usr/local/Cellar/emacs/24.2/share/emacs/24.2/lisp/obsolete...
Checking 1 files in /usr/local/Cellar/emacs/24.2/share/emacs/24.2/leim...
Checking for load-path shadows...done
byte-code: Beginning of buffer [4 times]
Auto-saving...done
Mark set [2 times]
Sending...
Sending via mail...
Sending...done

Load-path shadows:
None found.

Features:
(url-util url-parse auth-source eieio byte-opt bytecomp byte-compile
cconv macroexp assoc password-cache url-vars noutline outline easy-mmode
mailalias mailclient browse-url cus-edit cus-start cus-load wid-edit
help-mode view shadow sort gnus-util mail-extr emacsbug message
format-spec rfc822 mml easymenu mml-sec mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047
rfc2045 ietf-drums mm-util mail-prsvr mail-utils misearch multi-isearch
vc-git ruby-mode regexp-opt time-date japan-util tooltip ediff-hook
vc-hooks lisp-float-type mwheel ns-win tool-bar dnd fontset image fringe
lisp-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer loaddefs button faces cus-face files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process ns multi-tty
emacs)

--------
Shin-ichiro OGAWA
   [email-masked] / [email-masked]
GPG ID 94B70E36 / 75360751
  fingerprint: {C64E 9826 8A75 723E DE54 / 70A8 F623 220C 94B7 0E36}
http://stnard.jp/
http://twitter.com/conceal_rs/
http://iddy.jp/profile/rust/